int sensorPin = A2;   // input pin for the photosensor
int sensorValue = 0;  // variable to store the value coming from the sensor
int adjustPin  = A3;  // input pin for potential divider
int adjustValue = 0;  // variable to store the value coming from the potential divider
int redledPin= 13;       
int greenledPin= 12;   
int thresholdValue = 0; //variable to store the threshold value for switch on/off LED

void setup() {
  Serial.begin(9600);
  pinMode(sensorPin, INPUT);
  pinMode(adjustPin, INPUT);  
  pinMode(ledPin, OUTPUT);
}

void loop() {
  sensorValue = analogRead(sensorPin);   // read the value from the sensor:
  adjustValue = analogRead(adjustPin)/15; //read the value from POT 
                                          // and adjust the sensitivity
  thresholdValue = sensorValue + adjustValue; // overall equation for getting the threshold value
  // Print the value from the photo resistor to the serial monitor
  Serial.print("Sensor: ");
  Serial.print(sensorValue);
  Serial.print("  adjustment: ");
  Serial.print(adjustValue);
  Serial.print("  threshold: ");
  Serial.print(thresholdValue);  
  Serial.print("\n");  
    if (thresholdValue>350){
      digitalWrite(redledPin, HIGH);
      digitalWrite(greenledPin, LOW);      
    }
    else{
      digitalWrite(redledPin, LOW);
      digitalWrite(greenledPin, HIGH);      
    }
  delay(500);
}
